AlmaLinux 2226 Published by

A curl security update has been released for AlmaLinux 9.



ALSA-2023:4354 Moderate: curl security update


Type:
security

Severity:
moderate

Release date:
2023-08-02

Description
Security Fix(es):
* curl: IDN wildcard match may lead to Improper Cerificate Validation (CVE-2023-28321)
* curl: more POST-after-PUT confusion (CVE-2023-28322)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2023-28321
CVE-2023-28322
RHSA-2023:4354
ALSA-2023:4354

Updates packages:
libcurl-devel-7.76.1-23.el9_2.2.x86_64.rpm
curl-7.76.1-23.el9_2.2.x86_64.rpm
libcurl-devel-7.76.1-23.el9_2.2.i686.rpm
libcurl-devel-7.76.1-23.el9_2.2.aarch64.rpm
libcurl-minimal-7.76.1-23.el9_2.2.aarch64.rpm
libcurl-devel-7.76.1-23.el9_2.2.ppc64le.rpm
curl-minimal-7.76.1-23.el9_2.2.ppc64le.rpm
libcurl-minimal-7.76.1-23.el9_2.2.i686.rpm
libcurl-minimal-7.76.1-23.el9_2.2.x86_64.rpm
curl-7.76.1-23.el9_2.2.s390x.rpm
libcurl-7.76.1-23.el9_2.2.i686.rpm
libcurl-7.76.1-23.el9_2.2.ppc64le.rpm
curl-minimal-7.76.1-23.el9_2.2.s390x.rpm
libcurl-minimal-7.76.1-23.el9_2.2.s390x.rpm
curl-minimal-7.76.1-23.el9_2.2.x86_64.rpm
curl-minimal-7.76.1-23.el9_2.2.aarch64.rpm
libcurl-minimal-7.76.1-23.el9_2.2.ppc64le.rpm
libcurl-7.76.1-23.el9_2.2.s390x.rpm
curl-7.76.1-23.el9_2.2.aarch64.rpm
curl-7.76.1-23.el9_2.2.ppc64le.rpm
libcurl-devel-7.76.1-23.el9_2.2.s390x.rpm
libcurl-7.76.1-23.el9_2.2.x86_64.rpm
libcurl-7.76.1-23.el9_2.2.aarch64.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:4354 Moderate: curl security update